/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Jan 26, 2008
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.model;


/**
 * @author K. Benedyczak
 */
public class VOApplicationBean
{
	private int id;
	private int formId;
	private int identityType;
	private int equivalentIdentityId;
	private String identityValue;
	private String authnData;
	private int isCSR;
	private String emailAddress;
	private String requests;
	private String status;
	private String adminNotes;

	public int getFormId()
	{
		return formId;
	}
	public void setFormId(int formId)
	{
		this.formId = formId;
	}
	public int getId()
	{
		return id;
	}
	public void setId(int id)
	{
		this.id = id;
	}
	public String getAuthnData()
	{
		return authnData;
	}
	public void setAuthnData(String authnData)
	{
		this.authnData = authnData;
	}
	public int getIdentityType()
	{
		return identityType;
	}
	public void setIdentityType(int identityType)
	{
		this.identityType = identityType;
	}
	public String getIdentityValue()
	{
		return identityValue;
	}
	public void setIdentityValue(String identityValue)
	{
		this.identityValue = identityValue;
	}
	public String getRequests()
	{
		return requests;
	}
	public void setRequests(String requests)
	{
		this.requests = requests;
	}
	public String getAdminNotes()
	{
		return adminNotes;
	}
	public void setAdminNotes(String adminNotes)
	{
		this.adminNotes = adminNotes;
	}
	public String getStatus()
	{
		return status;
	}
	public void setStatus(String status)
	{
		this.status = status;
	}
	public String getEmailAddress()
	{
		return emailAddress;
	}
	public void setEmailAddress(String emailAddress)
	{
		this.emailAddress = emailAddress;
	}
	public int getIsCSR()
	{
		return isCSR;
	}
	public void setIsCSR(int isCSR)
	{
		this.isCSR = isCSR;
	}
	public int getEquivalentIdentityId()
	{
		return equivalentIdentityId;
	}
	public void setEquivalentIdentityId(int equivalentIdentityId)
	{
		this.equivalentIdentityId = equivalentIdentityId;
	}
}
