#!/bin/bash


#
# starts UVOS WS server
#

source "`dirname $0`"/_setenv.sh

#OPTS=$OPTS" -Xdebug -Xrunjdwp:transport=dt_socket,address=6009,server=y,suspend=n"

#
# check whether the server might be already running
#
PID=LAST_PID

if [ -e $PID ]
 then
  if [ -d /proc/$(cat $PID) ]
   then
     echo "A UNICORE/X instance may be already running with process id "$(cat $PID)
     echo "If this is not the case, delete the file $INST/$PID and re-run this script"
     exit 1
   fi
fi

export CLASSPATH=$CP

nohup $JAVA ${MEM} ${OPTS} ${DEFS} pl.edu.icm.unicore.uvos.server.VOServer ${PARAM} >& logs/startup.log & 
echo $! > $PID