/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Mar 18, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.model;

/**
 * Stores VO authZ attributes of a group
 * @author K. Benedyczak
 */
public class AuthzBean
{
	private int attrType;
	private String attrValue;
	private int groupId;
	private int permission;
	private String special;
	
	public String getSpecial()
	{
		return special;
	}
	public void setSpecial(String special)
	{
		this.special = special;
	}
	public int getAttrType()
	{
		return attrType;
	}
	public void setAttrType(int attrType)
	{
		this.attrType = attrType;
	}
	public String getAttrValue()
	{
		return attrValue;
	}
	public void setAttrValue(String attrVal)
	{
		this.attrValue = attrVal;
	}
	public int getGroupId()
	{
		return groupId;
	}
	public void setGroupId(int group)
	{
		this.groupId = group;
	}
	public int getPermission()
	{
		return permission;
	}
	public void setPermission(int permission)
	{
		this.permission = permission;
	}
}
