/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Mar 20, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.model;

/**
 * Used as opague parameter (as there is problem with hashmap)...
 * @author K. Benedyczak
 */
public class GenericBean
{
	private Object p1;
	private Object p2;
	private Object p3;
	private Object p4;
	
	public GenericBean()
	{
	}

	public GenericBean(Object p1)
	{
		this.p1 = p1;
	}
	
	public GenericBean(Object p1, Object p2)
	{
		this.p1 = p1;
		this.p2 = p2;
	}

	public GenericBean(Object p1, Object p2, Object p3)
	{
		this(p1, p2);
		this.p3 = p3;
	}

	public GenericBean(Object p1, Object p2, Object p3, Object p4)
	{
		this(p1, p2, p3);
		this.p4 = p4;
	}
	
	public Object getP1()
	{
		return p1;
	}
	public void setP1(Object p1)
	{
		this.p1 = p1;
	}
	public Object getP2()
	{
		return p2;
	}
	public void setP2(Object p2)
	{
		this.p2 = p2;
	}
	public Object getP3()
	{
		return p3;
	}
	public void setP3(Object p3)
	{
		this.p3 = p3;
	}
	public Object getP4()
	{
		return p4;
	}
	public void setP4(Object p4)
	{
		this.p4 = p4;
	}
}
