/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Mar 13, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.model;

/**
 * Holds single identity token of {@link EntityBean}. Consists of type and value.
 * Optionally it can hold also set of alternative designators which 
 * take function of aliases.
 * 
 * @author K. Benedyczak
 */
public class IdentityBean extends TSBean
{
	private int id;
	private int typeId;
	private int entityId;
	private String value;
	private String cmp;
	private int inactive;
	
	public int getInactive()
	{
		return inactive;
	}
	public void setInactive(int inactive)
	{
		this.inactive = inactive;
	}
	public String getCmp()
	{
		return cmp;
	}
	public void setCmp(String cmp)
	{
		this.cmp = cmp;
	}
	public int getId()
	{
		return id;
	}
	public void setId(int id)
	{
		this.id = id;
	}
	public int getTypeId()
	{
		return typeId;
	}
	public void setTypeId(int typeId)
	{
		this.typeId = typeId;
	}
	public String getValue()
	{
		return value;
	}
	public void setValue(String value)
	{
		this.value = value;
	}
	public int getEntityId()
	{
		return entityId;
	}
	public void setEntityId(int entityId)
	{
		this.entityId = entityId;
	}
}
