/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Mar 18, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.model;

import java.sql.Timestamp;

/**
 * Auxiliary - common ts properties for inheritance.
 * @author K. Benedyczak
 */
public class TSBean
{
	private Timestamp creationTS;
	private Timestamp removalTS;
	public Timestamp getCreationTS()
	{
		return creationTS;
	}
	public void setCreationTS(Timestamp creationTS)
	{
		this.creationTS = creationTS;
	}
	public Timestamp getRemovalTS()
	{
		return removalTS;
	}
	public void setRemovalTS(Timestamp removalTS)
	{
		this.removalTS = removalTS;
	}
}
