/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Feb 17, 2009
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.saml;

import xmlbeans.org.oasis.saml2.protocol.ResponseDocument;

/**
 * This exception simply wraps a SAML error response document 
 * @author golbi
 */
public class SAMLErrorException extends Exception
{
	private static final long serialVersionUID = -5587424816803969811L;
	private ResponseDocument response;
	
	public SAMLErrorException(ResponseDocument response)
	{
		this.response = response;
	}
	
	public ResponseDocument getResponse()
	{
		return response;
	}
}
