/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Aug 21, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.server.idresolver;

import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

/**
 * Internal error in authentication stack.
 * @author K. Benedyczak
 */
@SuppressWarnings("serial")
public class IdResolveException extends UVOSException
{
	public IdResolveException(String msg)
	{
		super(msg);
	}
}
