/*
 * Copyright (c) 2010 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2011-04-26
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */
package pl.edu.icm.unicore.uvos.tests.functional;

import org.junit.Test;

import junit.framework.Assert;
import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.IdentityType;

public class AuthNTest extends AbstractTestBase
{
	@Test
	public void test()
	{
		try
		{
			Identity testing = new Identity(IdentityType.EMAIL, 
				"test@withPasswd.org");
			testing.setAuthnData("secret");
			voMan.addIdentity(testing);
			internalAuthz.establishSecurityContext(testing);
		} catch(Exception e)
		{
			e.printStackTrace();
			Assert.fail(e.toString());
		}
	}
}
